<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_leaflet
 *
 * @copyright   Copyright (C) 2005 - 2018 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

/**
 * HTML View class for the leaflet Component
 *
 * @since  0.0.1
 */
class leafletViewleaflet extends JViewLegacy
{
	/**
	 * Display the leaflet view
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  void
	 */
	function display($tpl = null)
	{
		$this->loadTemplateHeader();

		// Display the view
		parent::display($tpl);

	}
	/**
	 * Load the template header data here to simplify the template
	 */
	protected function loadTemplateHeader()
	{
		// Import CSS
		$document = JFactory::getDocument();
		$document->addStyleSheet('components/com_leaflet/assets/css/global.css');
	}
}

// SEND THE DATA TO THE VIEW FRONT